sp2WB {maptools} | R Documentation

## Export SpatialPolygons object as S-Plus map for WinBUGS

### Description

The function exports an sp SpatialPolygons object into a S-Plus map format to be import by WinBUGS.

### Usage

    sp2WB(map, filename, Xscale = 1, Yscale = Xscale, plotorder = FALSE)

### Arguments

`map` | a SpatialPolygons object
`filename` | file where output is written
`Xscale, Yscale` | scales to be written in the output file
`plotorder` | default=FALSE, if TRUE, export polygons in plotting order

### Author(s)

Virgilio GÃ³mez Rubio, partly derived from earlier code by Thomas Jagger

### References

http://www.mrc-bsu.cam.ac.uk/wp-content/uploads/geobugs12manual.pdf

### Examples

    xx <- readShapePoly(system.file("shapes/sids.shp", package="maptools")[1],
     IDvar="FIPSNO", proj4string=CRS("+proj=longlat +ellps=clrk66"))
    plot(xx, border="blue", axes=TRUE, las=1)
    tf <- tempfile()
    sp2WB(as(xx, "SpatialPolygons"), filename=tf)
    xxx <- readSplus(tf, proj4string=CRS("+proj=longlat +ellps=clrk66"))
    all.equal(xxx, as(xx, "SpatialPolygons"), tolerance=.Machine$double.eps^(1/4),
     check.attributes=FALSE)
    ## Not run:
    x <- readAsciiGrid(system.file("grids/test.ag", package="maptools")[1])
    xp <- as(x, "SpatialPixelsDataFrame")
    pp <- as(xp, "SpatialPolygons")
    sp2WB(pp, filename="test.map")

    ## End(Not run)

[Package maptools version 0.8-39 Index]